import request from '@/utils/request'

// 查询账户黑名单列表
export function listAccountBlack(query) {
  return request({
    url: '/cai/accountBlack/list',
    method: 'get',
    params: query
  })
}

// 查询账户黑名单详细
export function getAccountBlack(id) {
  return request({
    url: '/cai/accountBlack/' + id,
    method: 'get'
  })
}

// 新增账户黑名单
export function addAccountBlack(data) {
  return request({
    url: '/cai/accountBlack',
    method: 'post',
    data: data
  })
}

// 修改账户黑名单
export function updateAccountBlack(data) {
  return request({
    url: '/cai/accountBlack',
    method: 'put',
    data: data
  })
}

// 删除账户黑名单
export function delAccountBlack(id) {
  return request({
    url: '/cai/accountBlack/' + id,
    method: 'delete'
  })
}

// 删除账户黑名单
export function listAccountBlackUser(params) {
  return request({
    url: '/cai/accountBlack/user',
    method: 'get',
    params: params
  })
}
